Skip to navigation

Delete a Machine/Instance Type association

View as Markdown

Delete a Machine’s association with an Instance Type.

machineAssociationId path parameter has been renamed to machineId. The path parameter will continue to accept both Machine ID and Machine/Instance Type ID until July 9th, 2026 00:00 UTC. After that time, Machine/Instance Type ID will no longer be accepted.

Org must have an Infrastructure Provider entity that owns the Instance Type and the Machine. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
instanceTypeIdstringRequiredformat: "uuid"
ID of the Instance Type
machineAssociationIdstringRequired

Can be ID of the Machine (machineId) or ID of Machine/Instance Type Association (machineAssociationId). Use of machineAssociationId is now deprecated and will no longer be accepted after July 9th, 2026 00:00 UTC.

Response

Deletion request was accepted
messagestring

Human-readable outcome of the request

Errors

403
Forbidden Error